
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/*-------------------------------------------------------------*/
/* set information about this example */
shared_lcrzoex_infos lcrzoex_000411=
{ /*reference*/     "lcrzoex", 411,
  /*version*/       1, 0,
  /*title*/         "run an external command",
  /*french title*/  "execute une commande externe",
  /*description*/   "A very simple call to system is done (no security check)",
  /*french desc.*/  "Un simple appel a system est fait (aucune verification de securite)",
  /*usage*/         "command [parameters]",
  /*french usage*/  "commande [parametres]",
  /*usage example*/ "ls /tmp",
  /*fr. usage ex.*/ "ls /tmp",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000411_main(int argc, char *argv[]);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000411_main(int argc, char *argv[])
{ lcrzo_string cmd;
  int i, ret;

  lcrzo_init();
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000411, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_epr(lcrzo_string_initm_text("", &cmd));
  for ( i=1 ; i<argc ; i++ )
  { lcrzo_epr(lcrzo_string_appendm_text(argv[i], &cmd));
    lcrzo_epr(lcrzo_string_appendm_text(" ", &cmd));
  }
  
  ret=system(cmd);
  if (ret)
  { lcrzo_epr(LCRZO_ERR_FUSYSTEM);
  }

  lcrzo_close();
  return(LCRZO_ERR_OK);
}


