
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_toolbox.h"

/*-------------------------------------------------------------*/
/* set information about this example */
shared_lcrzoex_infos lcrzoex_000452=
{ /*reference*/     "lcrzoex", 452,
  /*version*/       1, 0,
  /*title*/         "RzoBox : run a command and press a key",
  /*french title*/  "RzoBox : execute une commande et presse une touche",
  /*description*/   "commandfile contains for example \"2 www.s.com\"",
  /*french desc.*/  "fichierdecommande contient par exemple \"2 www.s.com\"",
  /*usage*/         "commandfile",
  /*french usage*/  "fichierdecommande",
  /*usage example*/ "/tmp/file",
  /*fr. usage ex.*/ "/tmp/fichier",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000452_main(int argc, char *argv[]);
int lcrzoex_000389_execfile(lcrzo_conststring filename,
			    lcrzo_bool removeit);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000452_main(int argc, char *argv[])
{ lcrzo_int16 language;
  int ret;

  lcrzo_init();
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000452, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  ret=lcrzoex_000389_execfile(argv[1], LCRZO_TRUE);
  if (ret!=LCRZO_ERR_OK)
  { lcrzo_epr(lcrzo_err_print(ret));
  }

  lcrzo_epr(lcrzo_global_get_language(&language));
  lcrzo_epr(lcrzo_stdin_press((language==LCRZO_GLOBAL_LANG_FR)?
			      "Pressez une touche pour terminer":
			      "Press a key to terminate"));

  lcrzo_close();
  return(ret);
}


