
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/*-------------------------------------------------------------*/
/* set information about this example */
shared_lcrzoex_infos lcrzoex_000455=
{ /*reference*/     "lcrzoex", 455,
  /*version*/       1, 0,
  /*title*/         "RzoBox : kill a process",
  /*french title*/  "RzoBox : tue un processus",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "process_number timeout_before_kill",
  /*french usage*/  "numero_de_processus timeout_avant_de_tuer",
  /*usage example*/ "1234 100",
  /*fr. usage ex.*/ "1234 100",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000455_main(int argc, char *argv[]);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000455_main(int argc, char *argv[])
{ lcrzo_uint32 pidnum, msec;

  lcrzo_init();
  if ( argc<3 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000455, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_epr(lcrzo_uint32_init_text(argv[1], &pidnum));
  lcrzo_epr(lcrzo_uint32_init_text(argv[2], &msec));

  lcrzo_epr(lcrzo_time_sleep_msec(msec));

  /*ignore*/shared_misc_process_kill(pidnum);

  lcrzo_close();
  return(LCRZO_ERR_OK);
}


