
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000456=
{ /*reference*/     "lcrzoex", 456, 
  /*version*/       1, 0, 
  /*title*/         "RzoBox : print an error message", 
  /*french title*/  "RzoBox : affiche un message d'erreur", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "error_number language",
  /*french usage*/  "numero_d'erreur langue", 
  /*usage example*/ "3 2",
  /*fr. usage ex.*/ "3 2",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000456_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000456_main(int argc, char *argv[])
{ lcrzo_int16 language;
  lcrzo_int32 ret;

  lcrzo_init();
  if ( argc<3 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000456, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }
  lcrzo_epr(lcrzo_int32_init_text(argv[1], &ret));
  lcrzo_epr(lcrzo_int16_init_text(argv[2], &language));

  /* set the current language */
  lcrzo_epr(lcrzo_global_set_language(language));

  lcrzo_epr(lcrzo_err_print(ret));

  lcrzo_close();
  return (LCRZO_ERR_OK);
}
