
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000457=
{ /*reference*/     "lcrzoex", 457, 
  /*version*/       1, 0, 
  /*title*/         "RzoBox : display configuration", 
  /*french title*/  "RzoBox : affiche la configuration", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "conftype language",
  /*french usage*/  "typedeconf langue", 
  /*usage example*/ "1 2",
  /*fr. usage ex.*/ "1 2",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000457_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000457_main(int argc, char *argv[])
{ lcrzo_int16 language, conftype;

  lcrzo_init();
  if ( argc<3 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000457, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }
  lcrzo_epr(lcrzo_int16_init_text(argv[1], &conftype));
  lcrzo_epr(lcrzo_int16_init_text(argv[2], &language));

  /* set the current language */
  lcrzo_epr(lcrzo_global_set_language(language));

  /* display wanted conf */
  switch (conftype) {
    case 1:
      lcrzo_er(lcrzo_conf_devices_print());
      break;
    case 2:
      lcrzo_er(lcrzo_conf_arp_print());
      break;
    case 3:
      lcrzo_er(lcrzo_conf_routes_print());
      break;
    default:
      return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_close();
  return (LCRZO_ERR_OK);
}
