/*
		                 LCRZOEX
                             Network toolbox
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzoex.

  Lcrzoex is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Lcrzoex is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_toolbox.h"

/*-------------------------------------------------------------*/
/* include all the example code we need */
#include "lcrzoex_000451.c"
#include "lcrzoex_000452.c"
#include "lcrzoex_000453.c"
#include "lcrzoex_000454.c"
#include "lcrzoex_000455.c"
#include "lcrzoex_000456.c"
#include "lcrzoex_000457.c"
#include "lcrzoex_000458.c"


/*-------------------------------------------------------------*/
int lcrzoex__00010_main(int ac, char* av[], lcrzo_uint32 toolnumber)
{ int ret;

  switch ((int)toolnumber)
  { case   451 : ret=lcrzoex_000451_main(ac, av); break;
    case   452 : ret=lcrzoex_000452_main(ac, av); break;
    case   453 : ret=lcrzoex_000453_main(ac, av); break;
    case   454 : ret=lcrzoex_000454_main(); break;
    case   455 : ret=lcrzoex_000455_main(ac, av); break;
    case   456 : ret=lcrzoex_000456_main(ac, av); break;
    case   457 : ret=lcrzoex_000457_main(ac, av); break;
    case   458 : ret=lcrzoex_000458_main(ac, av); break;
    default : ret=LCRZOEX_ERR_MISC_BADTOOLNUMBER;
  }

  return(ret);
}

/*-------------------------------------------------------------*/
int lcrzoex__00010_infos(lcrzo_uint32 toolnumber,
			 shared_lcrzoex_infos *pinfos)
{ shared_lcrzoex_infos infos;

  switch ((int)toolnumber)
  { case   451 : infos=lcrzoex_000451; break;
    case   452 : infos=lcrzoex_000452; break;
    case   453 : infos=lcrzoex_000453; break;
    case   454 : infos=lcrzoex_000454; break;
    case   455 : infos=lcrzoex_000455; break;
    case   456 : infos=lcrzoex_000456; break;
    case   457 : infos=lcrzoex_000457; break;
    case   458 : infos=lcrzoex_000458; break;
    default : return(LCRZOEX_ERR_MISC_BADTOOLNUMBER);
  }

  if (pinfos!=NULL) *pinfos=infos;
  return(LCRZO_ERR_OK);
}







